Page MenuHomePhabricator

(Need by: TBD) setup/install sretest100[12].eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the racking, setup, and OS installation of sretest100[12].eqiad.wmnet

Hostname / Racking / Installation Details

These two hosts are already racked as spare hardware, and were set from 'inventory' to 'planned' for use with the hardware-requests parent task T214024.

wmf7622
wmf5175

Proposed hostnames: sretest100[12].wikimedia.org. We will want @MoritzMuehlenhoff to sign off on this hostname use.

Per host setup checklist

Each host should have its own setup checklist copied and pasted into the list below.

sretest1001.eqiad.wmnet:

  • - update netbox as this was a spare pool host
  • - label application
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

sretest1002.eqiad.wmnet:

  • - update netbox as this was a spare pool host
  • - create sub-task for label application
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

Once the system(s) above have had all checkbox steps completed, this task can be resolved.

Details

Related Gerrit Patches:

Event Timeline

RobH created this task.Feb 20 2020, 5:08 PM
Restricted Application added a project: Operations. · View Herald TranscriptFeb 20 2020, 5:08 PM
RobH moved this task from Backlog to Racking Tasks on the ops-eqiad board.
RobH added a subscriber: akosiaris.

@MoritzMuehlenhoff:

I asked in IRC, and both @akosiaris and I don't have strong feelings on the hostname use for these two hosts. Can you advise if you prefer element names, or to just call these sretest100[12], or provide what you prefer?

Please advise, and assign back to me for followup. Thanks!

sretest100[12] is fine with me, but given that these are meant for various tests let's rather use an internal IP, unless @akosiaris has specific needs.

sretest100[12] is fine with me, but given that these are meant for various tests let's rather use an internal IP, unless @akosiaris has specific needs.

No specific needs on my part, so internal IP it is.

RobH renamed this task from (No date provided) setup/install sretest100[12].wikimedia.org to (No date provided) setup/install sretest100[12].eqiad.wmnet.Feb 20 2020, 8:29 PM
RobH claimed this task.
RobH updated the task description. (Show Details)
RobH renamed this task from (No date provided) setup/install sretest100[12].eqiad.wmnet to (Need by: TBD) setup/install sretest100[12].eqiad.wmnet.Feb 24 2020, 9:05 PM
RobH removed a subscriber: RobH.Mar 3 2020, 6:00 PM

Change 578591 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] update mgmt hosts to reflect new host name sretest100[12]

https://gerrit.wikimedia.org/r/578591

Change 578591 merged by Cmjohnson:
[operations/dns@master] update mgmt hosts to reflect new host name sretest100[12]

https://gerrit.wikimedia.org/r/578591

Cmjohnson updated the task description. (Show Details)Wed, Mar 11, 5:20 PM

Change 578999 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Add production dns for sretest100[12]

https://gerrit.wikimedia.org/r/578999

Change 578999 merged by Cmjohnson:
[operations/dns@master] Add production dns for sretest100[12]

https://gerrit.wikimedia.org/r/578999

Change 579008 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Add sretest* hosts to netboot.cfg and dhcpd file

https://gerrit.wikimedia.org/r/579008

Change 579009 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Add srestest100[12] role spare in site.pp

https://gerrit.wikimedia.org/r/579009

RobH reassigned this task from RobH to Cmjohnson.Wed, Mar 11, 6:14 PM
RobH added a subscriber: RobH.
RobH removed a subscriber: RobH.

Change 579008 merged by Cmjohnson:
[operations/puppet@production] Add sretest* hosts to netboot.cfg and dhcpd file

https://gerrit.wikimedia.org/r/579008

Change 579009 merged by Cmjohnson:
[operations/puppet@production] Add srestest100[12] role(insetup) in site.pp

https://gerrit.wikimedia.org/r/579009

Cmjohnson updated the task description. (Show Details)Wed, Mar 11, 6:57 PM

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

sretest1001.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202003111947_cmjohnson_7033_sretest1001_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

sretest1002.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202003111953_cmjohnson_7989_sretest1002_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['sretest1001.eqiad.wmnet']

and were ALL successful.

Completed auto-reimage of hosts:

['sretest1002.eqiad.wmnet']

and were ALL successful.

Cmjohnson closed this task as Resolved.Wed, Mar 11, 8:13 PM
Cmjohnson updated the task description. (Show Details)

resolving this task, all DC ops work has been completed